.nav {
    display: flex;
    height: 100%;
    z-index: 1;

    &__container {
        width: 100%;
        height: 100%;
        margin-left: 130px;
    }

    &__menu {
        display: flex;
        height: 100%;
        align-items: center;
        justify-content: flex-end;

        @media (max-width: $lg) {
            display: none;
            position: fixed;
            height: auto;
            top: 5em; left: 0; right: 0;
            padding: 2em 1.5em 1.5em;
            flex-direction: column;
            background: $white;
        }

        &--open {
            display: block;
        }
    }
    
    &__item {
        float: left;
        display: block;
        position: relative;

        @media (max-width: $lg) {
            width: 100%;
        }
        
        a {
            padding: 1em 2em 0.75em 0;
            display: block;
            font-size: 1.2rem;
        }

        &:hover {
            > ul {
                display: block; 
                position: absolute;
                padding: 0;
                margin: 0;
                background-color: $black;

                @media (max-width: $lg) {
                    position: relative;
                    overflow: hidden;
                    display: flex;
                    flex-direction: column;
                    background-color: $white;
                }

                ul {
                    top: 0;
                    left: 100%;

                    @media (max-width: $lg) {
                        left: 1.5em;
                    }
                    
                }
            }
        }
    }
    
    &__sub-menu {
        display: none;
        min-width: 15rem;
        
        li {
            width: 100%;

            a {
                color: $white;
                font-size: 1.2rem;
                padding: 0.75em 2em 0.75em 0.75em;

                @media (max-width: $lg) {
                    color: $jacksons-purple;
                }
            }

            &:hover {

                @media (max-width: $lg) {
                    background-color: $white;
                }
            }
        }
    }
}